Bug 439648 - lablgl not working with findlib
Summary: lablgl not working with findlib
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-lablgl
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-30 00:25 UTC by Hezekiah M. Carty
Modified: 2009-07-14 17:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:57:27 UTC


Attachments (Terms of Use)

Description Hezekiah M. Carty 2008-03-30 00:25:46 UTC
Description of problem:
lablgl does not work in the OCaml toplevel

Version-Release number of selected component (if applicable):
[hcarty@fry ~]$ rpm -qa |grep lablgl
ocaml-lablgl-1.03-2.fc9.i386
ocaml-lablgl-devel-1.03-2.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
[hcarty@fry ~]$ rlwrap ocaml
        Objective Caml version 3.10.1

# #use "topfind";;
- : unit = ()
... findlib output here
# #require "lablGL";;
No such package: lablgl - Required by `lablGL.togl'
  
Actual results:
lablgl does not load

Expected results:
lablgl loads

Additional info:
I found this by accident.  I do not used lablgl personally, but it looks like
this may be a META file problem or something similar.  Maybe some issue with
case in the naming - lablgl vs lablGL?

Comment 1 Gérard Milmeister 2008-04-12 13:05:46 UTC
Have you tried any changes to make it work?

Comment 2 Hezekiah M. Carty 2008-04-13 05:20:31 UTC
I have not.  I am not using Fedora 9 full time right now, so my testing time is
limited.  If there is a specific fix to try then I can do so next time I boot to
my test partition.

Comment 3 Bug Zapper 2008-05-14 08:25:15 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-06-09 23:55:42 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 17:57:27 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.